<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title>CollageSystem</title>
    <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/icon-font/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>

  </head>
  <body>
    <div>

      <!-- Name Title -->

      <h1>CollageSystem</h1>

      <!-- Type and Stereotype -->

      <section style="margin-top: .5em;">
        <span class="alert alert-info">
          <span class="node-icon staruml-icon icon-UMLClass"></span>
          UMLClass
        </span>
        
      </section>

      <!-- Path -->

      <section style="margin-top: 10px">
        
        
        
          
          <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon staruml-icon icon-Project'></span>Untitled</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='594af663de577680f35b13183109d675.html'><span class='node-icon staruml-icon icon-UMLModel'></span>Model</a></span>
        
          <span>::</span>
          <span class="label label-info"><a href='1e2207754073faabbb3d71e3bce53489.html'><span class='node-icon staruml-icon icon-UMLClass'></span>CollageSystem</a></span>
        
      </section>

      <!-- Diagram -->

      

      <!-- Description -->

      
      <section>
        <h3>Description</h3>
        <div>
          
            <span class="label label-info">none</span>
          
        </div>
      </section>
      

      <!-- Specification -->

      

      <!-- Directed Relationship -->

      

      <!-- Undirected Relationship -->

      

      <!-- Classifier -->

      
        
        


        
        
<section class="element-list">
    <h3>Specialized Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='71af6b98da9fe23222936a87d1729fa5.html'><span class='node-icon staruml-icon icon-UMLClass'></span>AdapterCollageSystem</a></li>
        
    </ul>
</section>



        
        


        
        


        
        

      

      <!-- Interface -->

      

      <!-- Component -->

      

      <!-- Node -->

      

      <!-- Actor -->

      

      <!-- Use Case -->

      

      <!-- Template Parameters -->

      

      <!-- Literals -->

      

      <!-- Attributes -->

      
      <section>
        <h3>Attributes</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Type</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>private</td>
            <td><a href="16947ea0e9d4ad06ab8832d77f7c4ab8.html">inComeMessageProxy</a></td>
            <td><a href='28d408e7c1cde255bac7bd15fa712677.html'>InComeMessageProxy</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>private</td>
            <td><a href="d01e2a267253502cd149641ecb072e43.html">messageProcessor</a></td>
            <td><a href='e145eec7c41ea9e2eb5885783bfec04f.html'>MessageProcessor</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>private</td>
            <td><a href="343833933b208a1d738c359a5aec384c.html">checkingMessage</a></td>
            <td><a href='bfa31cfb2fbc3b4657988f9466783647.html'>CreateMessageHandler</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>private</td>
            <td><a href="57366192ead1575db831308988bf1486.html">IndexingMessage</a></td>
            <td><a href='bfa31cfb2fbc3b4657988f9466783647.html'>CreateMessageHandler</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>private</td>
            <td><a href="a9f937ee7b89aae6feadcd06fc510bf8.html">SendMessage</a></td>
            <td><a href='bfa31cfb2fbc3b4657988f9466783647.html'>CreateMessageHandler</a></td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Operations -->

      
      <section>
        <h3>Operations</h3>
        <table class="table table-striped table-bordered">
          <tr>
            <th>Visibility</th>
            <th>Name</th>
            <th>Description</th>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="c52f4c37db662f26999bab709c275bf1.html">Request(id: String, name: String)</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="7ca2e7d2b9d0f59ddeeb7703d1690ecc.html">createIncome(type: String): InComeMessage</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="aa8168cb399a66e9981db6e06d52897b.html">createNote(income: InComeMessage): OutComeMessage</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="a20a5c26d356979b85e81e7c7bc4b193.html">Operation1()</a></td>
            <td></td>
          </tr>
          
          <tr>
            <td>public</td>
            <td><a href="8240e526513fc7a6c1b521d9be7c943f.html">createMessage(message: Message)</a></td>
            <td></td>
          </tr>
          
        </table>
      </section>
      

      <!-- Receptions -->

      

      <!-- Extension Points -->

      

      <!-- Parameters -->

      

      <!-- Diagrams -->

      
      

      <!-- Behavior -->

      

      <!-- Action -->

      

      <!-- Interaction -->

      

      <!-- CombinedFragment -->

      

      <!-- Activity -->

      

      <!-- State Machine -->

      

      <!-- State Machine -->

      

      <!-- State -->

      

      <!-- Vertex -->

      

      <!-- Transition -->

      

      <!-- Data Model (ERD) -->

      

      <!-- Columns (ERD) -->

      

      <!-- Related Entities (ERD) -->

      

      <!-- Data Flows (DFD) -->

      

      <!-- Flows (Flowchart) -->

      

      <!-- Properties -->

      <section>
        <h3>Properties</h3>
        
        <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>CollageSystem</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>isAbstract</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isFinalSpecialization</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isActive</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

      </section>

      <!-- Tags -->

      

      <!-- Constraints, Dependencies, Dependants -->

      
        
        


        
        


        
        

      

      <!-- Relationships -->

      
      
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='a158511505f234bbd2e94ead50556e48.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CollageSystem—InComeMessageProxy)</a></li>
        
        <li><a href='104131cb609aec49d4aba83921af0437.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CollageSystem—MessageProcessor)</a></li>
        
        <li><a href='1ff0439244fd4324d53634cdd165d9a0.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CollageSystem—CreateMessageHandler)</a></li>
        
        <li><a href='1af2614923614b41f3ece9c2a4da53c0.html'><span class='node-icon staruml-icon icon-UMLGeneralization'></span>(AdapterCollageSystem→CollageSystem)</a></li>
        
    </ul>
</section>



      <!-- Owned Elements -->

      
      
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='a158511505f234bbd2e94ead50556e48.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CollageSystem—InComeMessageProxy)</a></li>
        
        <li><a href='104131cb609aec49d4aba83921af0437.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CollageSystem—MessageProcessor)</a></li>
        
        <li><a href='1ff0439244fd4324d53634cdd165d9a0.html'><span class='node-icon staruml-icon icon-UMLAssociation'></span>(CollageSystem—CreateMessageHandler)</a></li>
        
    </ul>
</section>



    </div>
  </body>
</html>
